<?php
namespace Claromentis\Infocapture\UI;

$GLOBALS["__65da1b1" . "ec2d6653e" . "8a0ab7848" . "e536215"] = (@$GLOBALS["__65da1b1ec2d6653e8a0ab7848e53" . "6215"] ?: array()) + array("_d3b2122e727b24" . "e3029add87aa541" . "df6" => base64_decode("aW5mb2NhcHR1cmUvVUkvYWxsX3J" . "lcG9ydHNfaWNvbi5odG1s"), "_b6994edb19ee8e38970be4ca846e33" . "3a" => base64_decode("YWxsX3JlcG9ydHNfb" . "Glua3MudmlzaWJsZQ" . "=="));
use TemplaterComponentTmpl;








class AllReportsIcon extends TemplaterComponentTmpl
{
    public function Show($attributes)
    {
        $args = array();
        $_7619e74fb7252ad8bb1e971cf69702f0 = new \HDProjectsList();
        $_7619e74fb7252ad8bb1e971cf69702f0->SetPermsChecking(HD_PERM_REPORTS);
        if ($_7619e74fb7252ad8bb1e971cf69702f0->GetCount() > 0) {
            $args[$GLOBALS["__65da1b1ec2d6653e8a0ab78" . "48e536215"]["_b6994edb19ee8e38970" . "be4ca846e333a"]] = 1;
        }
        $template = $GLOBALS["__65da1b1ec2d6" . "653e8a0ab7848e" . "536215"]["_d3b2122e727b24e" . "3029add87aa541df" . "6"];
        return $this->CallTemplater($template, $args);
    }
}